Bug 208383 - mkinitrd/iSCSI - only probe for network device if not already specified
mkinitrd/iSCSI - only probe for network device if not already specified
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 05:34 EDT by Mark McLoughlin
Modified: 2010-01-12 10:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:32:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mkinitrd-no-lo.patch (854 bytes, patch)
2006-09-28 05:34 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2006-09-28 05:34:57 EDT
At some point we made mkinitrd not probe for the network device with NFS root if
you set NET_LIST in /etc/sysconfig/mkinitrd or pass --netdev.

Looks like iSCSI root needs the same thing.

Use case for me is I'm creating the initrd on the same machine as the
iSCSI target, so the initrd tries to bring up lo.
Comment 1 Mark McLoughlin 2006-09-28 05:34:57 EDT
Created attachment 137295 [details]
mkinitrd-no-lo.patch
Comment 2 Jeremy Katz 2006-09-29 13:41:03 EDT
Looks sane to me
Comment 3 Mark McLoughlin 2007-04-27 03:05:50 EDT
This still applies ...
Comment 4 Bug Zapper 2008-04-03 14:21:08 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:53:51 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 6 Mark McLoughlin 2008-05-07 04:07:03 EDT
Still applies
Comment 7 Bug Zapper 2008-05-13 22:22:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Hans de Goede 2009-02-03 08:15:13 EST
Short intro: i've been spending most of my time the last 2 months revamping anaconda (and mkinitrd) iscsi support.

I'm afraid the attached patch is too simple, we can have cases where we have multiple iscsi disks we need to bring up in the initrd, using multiple interfaces (yes really) and in that case this patch will cause us to not configure the network interface for the second disk.
Comment 9 Bug Zapper 2009-06-09 18:18:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Mark McLoughlin 2009-06-10 03:56:27 EDT
Patch still applies in rawhide
Comment 11 Hans de Goede 2009-06-10 08:26:54 EDT
(In reply to comment #10)
> Patch still applies in rawhide  

Hmm,

I've reviewed it, but this won't work if there are multiple iscsi disks, connected
through multiple interfaces, for example one used for / and another used for swap. In this case, with your patch, we will not configure the second interface even though we should.
Comment 12 Bug Zapper 2009-11-16 02:52:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Hans de Goede 2010-01-12 10:32:15 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.